import { select, json, geoPath, geoAzimuthalEqualArea} from 'd3';

//importing topojson file
import {feature} from 'topojson';
const svg = select('svg');

// width of the svg image
const width = +svg.attr('width');

// height of the svg image
const height = +svg.attr('height');

//initializing the natural earth projection object
const projection = geoAzimuthalEqualArea() ;

//Feeding the natural earth object to the geopath library object
const pathGenerator = geoPath().projection(projection);

//Creating a spherical svg structure for the geo path
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

// Loading all countries data
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
       //Creating svg to load the countries data on the path generator
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









